Bug 243493 - x11-themes/gnome-icons-elementary: Update to 5.2.0
Summary: x11-themes/gnome-icons-elementary: Update to 5.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-21 21:48 UTC by Olivier Duchateau
Modified: 2020-04-28 00:40 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (root)


Attachments
Patch to update x11-themes/gnome-icons-elementary (154.39 KB, patch)
2020-01-21 21:48 UTC, Olivier Duchateau
no flags Details | Diff
Poudriere testport log (35.07 KB, application/x-zip-compressed)
2020-02-09 03:18 UTC, Allison Nicole Reid
no flags Details
Patch to update x11-themes/greybird-theme (154.40 KB, patch)
2020-02-12 16:32 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2020-01-21 21:48:18 UTC
Created attachment 210933 [details]
Patch to update x11-themes/gnome-icons-elementary

- Update to 5.2.0
- Switch to meson build system
- Adjust dependencies (prefer rsvg-convert, from librsvg2 instead of Inkscape)
Comment 1 Allison Nicole Reid 2020-02-09 03:18:12 UTC
Created attachment 211492 [details]
Poudriere testport log

Hi, and thanks for your patch! I ran it through poudriere and ended up with a plist error for a file `io.elementary.icons.appdata.xml` that isn't in the stagedir.
Comment 2 Allison Nicole Reid 2020-02-09 03:18:49 UTC
Comment on attachment 210933 [details]
Patch to update x11-themes/gnome-icons-elementary

Plist error (RE: Poudriere log)
Comment 3 Olivier Duchateau 2020-02-09 16:13:33 UTC
(In reply to Allison Nicole Reid from comment #2)

If you add USES= gettext, what happen?

merge_file method calls xgettext utility.
Comment 4 Olivier Duchateau 2020-02-12 16:32:37 UTC
Created attachment 211593 [details]
Patch to update x11-themes/greybird-theme

Update patch (add USES= gettext)
Comment 5 commit-hook freebsd_committer 2020-04-28 00:39:14 UTC
A commit references this bug:

Author: tagattie
Date: Tue Apr 28 00:38:35 UTC 2020
New revision: 533217
URL: https://svnweb.freebsd.org/changeset/ports/533217

Log:
  - Update to 5.2.0
  - Sort variables
  - Add NO_ARCH

  PR:		243493
  Submitted by:	Olivier Duchateau <duchateau.olivier@gmail.com>
  Approved by:	root@cooltrainer.org (maintainer timeout, >10 weeks),
  		ehaupt (mentor)

Changes:
  head/x11-themes/gnome-icons-elementary/Makefile
  head/x11-themes/gnome-icons-elementary/distinfo
  head/x11-themes/gnome-icons-elementary/files/
  head/x11-themes/gnome-icons-elementary/files/patch-cursors_meson.build
  head/x11-themes/gnome-icons-elementary/pkg-plist
Comment 6 Hiroki Tagato freebsd_committer 2020-04-28 00:40:50 UTC
Committed, thanks!